Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck
Class App

    java.lang.Object
      org.owasp.dependencycheck.App

    public class App

extends Object

The command line interface for the DependencyCheck application.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Constructor Summary
`App()`

Method Summary
`static void` | `main(String[] args)` The main method for the application.
`void` | `run(String[] args)` Main CLI entry-point into the application.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### App

    public App()

Method Detail

### main

    public static void main(String[] args)

  The main method for the application.

  Parameters:
    `args` - the command line arguments

### run

    public void run(String[] args)

  Main CLI entry-point into the application.

  Parameters:
    `args` - the command line arguments

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.